package ru.dbotthepony.mc.otm.config

import ru.dbotthepony.mc.otm.core.math.Decimal
import ru.dbotthepony.mc.otm.core.math.defineDecimal

object ExopackConfig : AbstractConfig("exopack") {
	val ENERGY_CAPACITY by builder
		.comment("Internal battery capacity of Exopack")
		.comment("Keep in mind that already existing players won't get their value changed since it is", "stored inside their savedata")
		.defineDecimal("ENERGY_CAPACITY", Decimal(200_000), Decimal.ZERO)

	val FURNACE_POWER_CONSUMPTION by builder
		.comment("Power consumed per tick by built in furnace")
		.comment("Vanilla furnace consumes 10 MtU/t (1 tick = 10 MtU, 1 Coal = 16 000 MtU,", "this ratio is utilized by almost all mods)")
		.defineDecimal("FURNACE_POWER_CONSUMPTION", Decimal(20), Decimal.ZERO)
}
